{* :Front:Kontakt:default *}
{block meta}
    <meta property="og:site_name" content="Kontakty | {$baseInfo['siteName']}">
    <meta property="og:url" content="{$baseInfo['address']}kontakt/">
    <meta property="og:title" content="Kontakt | {$baseInfo['siteName']}">
    <meta property="og:description" content="Kontaktní informace">
    <meta name="description" content="Kontaktní informace">
{/block}
{block breadcrumbs}
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a n:href=":Front:Homepage:default">Úvod</a></li>
        <li class="breadcrumb-item active">Kontakty</li>
    </ol>
{/block}
{block content}
    <main class="container-xxl content-main">
        <section class="container-fluid" id="clanek">
            <h1 class="mb-3" n:block=title>Kontakty</h1>
            <div class="fs-5 mb-3">Adresa</div>
            <div class="row">
                <div class="col col-12 col-lg-6 mb-3 mb-lg-0">
                    <p>
                        <b>{$baseInfo['company']}</b><br>
                        {$baseInfo['compAddr']}<br>
                    {$baseInfo['compPost']} {$baseInfo['compCity']}
                    </p>
                    <p>
                        {if $baseInfo['compIc'] != ''}
                            <small class="fw-bold">Ičo:</small> {$baseInfo['compIc']}
                        {/if}
                    {if $baseInfo['compDic'] != ''}
                            <small class="fw-bold">Dič:</small> {$baseInfo['compDic']}
                        {/if}
                    </p>
                    <p>
                        {if $baseInfo['phone'] != ''}
                            <i class="fa-solid fa-phone me-3"></i><a href="tel:+420 {$baseInfo['phone']}">+420 {$baseInfo['phone']}</a><br>
                        {/if}
                    {if $baseInfo['email'] != ''}
                            <i class="fa-solid fa-envelope me-3"></i><a href="mailto:{$baseInfo['email']}">{$baseInfo['email']}</a>
                        {/if}
                    </p>
                </div>
                <div class="col col-12 col-lg-6 mb-3 mb-lg-0">
                    {if $baseInfo['mapa'] != ''}
                        <div class="border p-1">
                            <iframe src="{$baseInfo['mapa']}" width="100%" height="350" style="border:0;" allowfullscreen="" loading="lazy"></iframe>
                        </div>
                    {/if}
                </div>
            </div>
            {if !empty($mista)}
                <h5 class="mb-0 bg-content-success px-3 py-2">Kontaktní místa</h5>
                <div class="content">
                    {foreach $mista as $one}
                        <div class="card mb-3">
                            <div class="card-header bg-content-header">
                                <h5 class="card-title mb-0">{$one->nazev}</h5>
                            </div>
                            <div class="card-body">
                                <div class="row align-items-start">
                                    <div class="col-12 col-lg-6 mb-3 mb-lg-0">
                                        <h6>Adresa:</h6>
                                        <p class="border bg-light border-radius p-2">
                                            {$one->ulice}<br>
                                        {$one->psc}, {$one->mesto}
                                        </p>
                                        {if $one->tel || $one->email}
                                            <p class="border bg-light border-radius p-2">
                                                {if $one->tel}
                                                    <i class="fa-solid fa-phone me-3"></i><a href="tel:+420 {$one->tel}">+420 {$one->tel}</a><br>
                                                {/if}
                                            {if $one->email}
                                                    <i class="fa-solid fa-envelope me-3"></i><a href="mailto:{$one->email}">{$one->email}</a>
                                                {/if}
                                            </p>
                                        {/if}
                                    {if $one->related('provozovny_doba.provozovny_id')->count('*') != 0}
                                            <h6>Provozní doba:</h6>
                                            <div class="border bg-light border-radius p-2">
                                                {foreach $one->related('provozovny_doba.provozovny_id') as $doba}
                                                    <div class="mb-2">
                                                        <div class="pe-2 fw-bold">{$doba->nazev}</div>
                                                        <div>{$doba->doba}</div>
                                                    </div>
                                                {/foreach}
                                            </div>
                                        {/if}
                                    </div>
                                    <div class="col-12 col-lg-6 mb-3 mb-lg-0">
                                        {if $one->mapa != ''}
                                            <div class="border border-radius p-1">
                                                <iframe src="{$one->mapa}" width="100%" height="200" style="border:0;" allowfullscreen="" loading="lazy"></iframe>
                                            </div>
                                        {/if}
                                    </div>
                                </div>
                            </div>
                        </div>
                    {/foreach}
                </div>
            {/if}
        {if !empty($osoby)}
                <h5 class="mb-0 bg-content-success px-3 py-2">Kontaktní osoby</h5>
                <div class="content">
                    <div class="row">
                        {foreach $osoby as $one}
                            <div class="col-12 col-lg-6 mb-3">
                                <div class="card">
                                    <div class="card-header bg-content-header">
                                        <div class="content-header-title fs-5">{$one->funkce}</div>
                                    </div>
                                    <div class="card-body py-2">
                                        <div class="row">
                                            <div class="col-12 mb-2">
                                                <div class="fw-bold">{$one->jmeno}</div>
                                            </div>
                                            <div class="col-12"><i class="fa-solid fa-phone me-3"></i><a href="tel:+420 {$one->tel}">+420 {$one->tel}</a></div>
                                            <div class="col-12"><i class="fa-solid fa-envelope me-3"></i><a href="mailto:{$one->email}">{$one->email}</a></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        {/foreach}
                    </div>
                </div>
            {/if}
            <div class="fs-5 mb-3">Napište nám</div>
            <form n:name="kontaktForm">
                <div class="row">
                    <div class="col col-12 col-lg-10 offset-lg-1">
                        <ul class="mb-3" style="list-style-type: none; padding: 0" n:if="$form->hasErrors()">
                            <li class="bg-danger text-white border-radius px-3 py-2 mb-2" n:foreach="$form->errors as $error">{$error}</li>
                        </ul>
                        <div>
                            {foreach $flashes as $flash}
                                <div class="bg-{$flash->type} text-white border-radius px-3 py-2 mb-3">{$flash->message}</div>
                            {/foreach}
                        </div>
                        <div class="mb-3">
                            {$form['odesilatel']->label}
                            <input class="form-control" n:name="odesilatel">
                        </div>
                        <div class="mb-3">
                            {$form['jmeno']->label}
                            <input class="form-control" n:name="jmeno">
                        </div>
                        <hr>
                        <div class="mb-3">
                            {$form['predmet']->label}
                            <input class="form-control" n:name="predmet">
                        </div>
                        <div class="mb-3">
                            {$form['zprava']->label}
                            <textarea class="form-control" n:name="zprava" rows="5"></textarea>
                        </div>
                        <div class="d-flex justify-content-end">
                            <button n:name="send" class="btn btn-success"><i class="fa-solid fa-paper-plane me-2"></i>Odeslat</button>
                        </div>
                    </div>
                </div>
            </form>
        </section>
    </main>
{/block}
